import React from 'react';
import { CheckboxValue } from './context';
export interface HuiCheckboxGroupProps {
    /** 选中的checkbox值 */
    value?: CheckboxValue[];
    /** 选中的checkbox有变化时候的回调 */
    onChange: (checkedList: CheckboxValue[]) => void;
    /** 是否禁用所有子checkbox */
    disabled?: boolean;
    children?: React.ReactNode;
}
declare const HuiCheckboxGroup: React.FC<HuiCheckboxGroupProps>;
export default HuiCheckboxGroup;
