import React from 'react';
import { HuiPopupProps } from '../../Popup';
import { ActionFooterProps } from '../ActionFooter/ActionFooter';
export interface FiltersContentProps extends HuiPopupProps, Omit<ActionFooterProps, 'hideMenu'> {
    /** 筛选内容 */
    contentClassName?: string;
    contentStyle?: React.CSSProperties;
    popupContentClassName?: string;
    /** 筛选模式 */
    type?: 'single' | 'multiple';
    onChange?: (val?: any) => void;
    /** 点击遮罩层和筛选必用 */
    onClose?: () => void;
    filterContent?: React.ReactNode;
}
declare const FiltersContent: React.FC<FiltersContentProps>;
export default FiltersContent;
