import React from 'react';
interface FilterContext {
    /** 页面滚动的top  */
    scrollTop: number;
    /** 是否固定 */
    isFixed: boolean;
    /** 隐藏下拉菜单 */
    hideMenu: () => void;
    /** 隐藏右侧filter组件的popup */
    hideFilter: () => void;
    /** filter距离顶部的top  */
    filterTop: number;
}
declare const FilterContext: React.Context<Record<string, any> | FilterContext>;
export default FilterContext;
