import React, { ReactNode } from 'react';
import { FieldContext } from './constants';
export interface HuiFormProps {
    /** 外层的class */
    className?: string;
    children?: ReactNode;
    /** 校验成功 */
    onFinish?: (values: object) => void;
    /** 校验失败 */
    onFinishFailed?: (values: object) => void;
    /** 值变化 */
    onValuesChange?: (values: object, allValues: object) => void;
    /** 重置 */
    onReset?: () => void;
    form: FieldContext;
}
/**
 * form表单容器组件
 */
declare const HForm: React.FC<HuiFormProps>;
export default HForm;
