import React from 'react';
import { HuiSteppersProps } from './constants';
import './Steppers.scss';
/**
 * 步骤条
 * @example
 *  import Steps from "@/components/Steps";

    const StepsPage: React.FC = () => {
        return (
            <Steps
              items={[
                  {
                  title: "步骤名称",
                  description:'描述文字'
                  },
                  {
                  title: "步骤名称",
                  description:'描述文字'
                  },
                  {
                  title: "步骤名称",
                  description:'描述文字'
                  }
              ]}
            />
        );
    };
*/
declare const Steppers: React.FC<HuiSteppersProps>;
export default Steppers;
