import { ReactNode } from 'react';
export interface StepItem {
    description?: ReactNode;
    title?: ReactNode;
    disabled?: boolean;
    /**
     * 是否完全展示title，默认false
     */
    showSlicedTitle?: boolean;
}
export interface HuiSteppersProps {
    current?: number;
    disabled?: boolean;
    className?: string;
    items?: StepItem[];
    /**
     * 是否完全展示title，默认false
     */
    showSlicedTitle?: boolean;
    onChange?: (current: number, e: any) => void;
}
export declare const prefix = "hui-steps";
export declare const stepActive: string;
export declare const stepLive: string;
export declare const stepNormal: string;
export declare const stepFixWidth = 136;
