import React from 'react';
import { HIconType } from '../Icon/type';
import './Title.scss';
export declare enum TitleSize {
    Small = "small",
    Medium = "medium",
    Large = "large"
}
export interface HuiTitleProps {
    className?: string;
    title?: React.ReactNode;
    size?: TitleSize;
    link?: React.ReactNode;
    linkLeftIcon?: HIconType;
    linkRightIcon?: HIconType;
    onLinkClick?: () => void;
}
declare const HuiTitle: React.FC<HuiTitleProps>;
export default HuiTitle;
