import React from 'react';
import { View } from '@tarojs/components';
import HuiButton from '../../Button/Button';
const ActionFooter = (props) => {
    const { confirmButtonProps, clearButtonProps, confirmText, clearText } = props;
    const handleClear = (e) => {
        if (props.onClear) {
            props.onClear(e);
        }
    };
    const handleOk = (e) => {
        if (props.onConfirm) {
            props.onConfirm(e);
        }
        props.hideMenu();
    };
    return (React.createElement(View, { className: 'hui-filter-action-footer' },
        React.createElement(HuiButton, Object.assign({ className: 'hui-filter-action-footer-clear', type: 'secondary', radiusType: 'square', onClick: handleClear }, clearButtonProps), clearText || '清空筛选项'),
        React.createElement(HuiButton, Object.assign({ className: 'hui-filter-action-footer-confirm', radiusType: 'square', onClick: handleOk }, confirmButtonProps), confirmText || '筛选')));
};
export default ActionFooter;
//# sourceMappingURL=ActionFooter.js.map