export const toArray = (element) => Array.isArray(element) ? element : [element];
export function getErrorTarget(err) {
    const msg = err.message.replace('Error: ', '');
    try {
        if (typeof msg === 'string' && typeof JSON.parse(msg) === 'object') {
            return JSON.parse(msg) || {};
        }
    }
    catch (error) {
        return null;
    }
    return null;
}
export const replaceComma = (str = '') => str.toString().replace(/,/g, '');
export const toString = (arr) => Array.isArray(arr) ? arr.join('') : arr;
//# sourceMappingURL=util.js.map