import React from 'react';
export declare type CheckboxValue = string | number;
interface CheckboxGroupContextProps {
    /** 当前选中的checkbox value列表 */
    checkedList: CheckboxValue[];
    /** 选中的checkbox有变化时的回调 */
    onChange: (checkedList: CheckboxValue[]) => void;
    /** 是否禁用所有子checkbox */
    disabled: boolean;
}
declare const CheckboxGroupContext: React.Context<CheckboxGroupContextProps | null>;
export declare const CheckboxGroupContextProvider: React.Provider<CheckboxGroupContextProps | null>;
export default CheckboxGroupContext;
