import React from 'react';
import { HuiImageProps } from '../../Image/Image';
export interface HuiContentListItemProps {
    label?: string | React.ReactNode;
    value?: string | string[] | React.ReactNode;
    /** 布局方式，左右 /上下 */
    type?: 'horizontal' | 'vertical';
    /** 是否长标签，仅在type='horizontal'有效 */
    longLabel?: boolean;
    /** 图片属性 */
    imgStyle?: HuiImageProps;
    className?: string;
    style?: React.CSSProperties;
}
declare const HuiContentListItem: React.FC<HuiContentListItemProps>;
export default HuiContentListItem;
