import InstanceForm from './Form';
import type { HuiFormProps } from './Form';
import Item from './FormItem';
import useForm from './hooks/useForm';
import type { HuiFormItemProps } from './constants/formItem';
declare type InstanceFormType = typeof InstanceForm;
interface FormInterface extends InstanceFormType {
    Item: typeof Item;
}
declare const Instance: FormInterface;
export { useForm, HuiFormProps, HuiFormItemProps };
export default Instance;
