import React from 'react';
import { HuiSelectBodyProps, Level, OptionValue } from './SelectBody/SelectBody';
export interface HuiSelectProps extends HuiSelectBodyProps {
    /** 是否展示 */
    visible: boolean;
    /** 标题 */
    title?: React.ReactNode;
    /** 关闭回调 */
    onClose?(): void;
    /** 确认按钮文字 */
    confirmText?: string;
    /** 确认回调 */
    onConfirm?(v: OptionValue<Level>): void;
}
declare const Select: React.FC<HuiSelectProps>;
export default Select;
